import React from 'react';
var crypto = require('crypto');


export function HashPassword(password: string, salt: string, callback: (arg: string, index?:string) => void) {
    crypto.pbkdf2(password, salt, 100000, 64, 'sha512', (err: string, derivedKey: string) => {
        if (err) throw err;
        callback(derivedKey.toString('hex'));
     });
}